# pgmmake

Updated: 19 February 2006
Table Of Contents

## NAME

pgmmake - create a PGM image of a specified gray level and dimensions

## SYNOPSIS

pgmmake [-maxval=maxval] graylevel width height

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or an equals sign between an option name and its value.

## DESCRIPTION

This program is part of Netpbm.

pgmmake produces a PGM image of the specified gray level, width, height, and maxval.

Specify the gray level (graylevel) as a decimal floating point number in the range [0, 1]. E.g. 1 is white, 0 is black, and 0.5 is half luminosity gray.

## EXAMPLES

        pgmmake 1 50 50

        pgmmake .2 50 100 -maxval=5

## OPTIONS

-maxval=maxval
  The maxval for the generated image. Default is 255.

## SEE ALSO

pbmmake, ppmmake, pgm

## HISTORY

This program was new in Netpbm 10.32 (February 2006).

With older Netpbm, use ppmmake and ppmtopgm.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- EXAMPLES
- OPTIONS